SystemOrganization addCategory: 'JASVGI'!

Object subclass: #JASVGIObject
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JASVGI'!

!JASVGIObject commentStamp: '' prior: 0!
Just 
Another 
SVG
Interface!

JASVGIObject subclass: #JASVGIAttribute
	instanceVariableNames: 'svgTagElement attributeName attributeValue'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JASVGI'!

!JASVGIAttribute class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:11'!
fill: colorValue

	^self name: 'fill' value: colorValue! !

!JASVGIAttribute class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:11'!
height: height

	^self name: 'height' value: height printString! !

!JASVGIAttribute class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:13'!
parent: aJasvgiTagElement name: stringName value: stringValue

	^super new initialize
		svgTagElement: aJasvgiTagElement; 
		attributeName: stringName;
		attributeValue: stringValue;
		yourself! !

!JASVGIAttribute class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:11'!
rx: rx

	^self name: 'rx' value: rx printString! !

!JASVGIAttribute class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:11'!
ry: ry

	^self name: 'ry' value: ry printString! !

!JASVGIAttribute class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:11'!
stroke: strokeValue

	^self name: 'stroke' value: strokeValue! !

!JASVGIAttribute class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:11'!
width: width

	^self name: 'width' value: width printString! !

!JASVGIAttribute class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:11'!
x: xValue

	^self name: 'x' value: xValue printString! !

!JASVGIAttribute class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:11'!
y: yValue

	^self name: 'y' value: yValue printString! !

!JASVGIAttribute methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:11'!
asSvgAttribute

	^attributeName -> self getAttributeValue! !

!JASVGIAttribute methodsFor: 'Accessing' stamp: 'BrunoBB 09/07/2016 07:11'!
attributeName
	^attributeName! !

!JASVGIAttribute methodsFor: 'Updating' stamp: 'BrunoBB 09/07/2016 07:11'!
attributeName: newValue
	attributeName := newValue! !

!JASVGIAttribute methodsFor: 'Accessing' stamp: 'BrunoBB 09/07/2016 07:11'!
attributeValue
	^attributeValue! !

!JASVGIAttribute methodsFor: 'Updating' stamp: 'BrunoBB 09/07/2016 07:11'!
attributeValue: newValue
	attributeValue := newValue! !

!JASVGIAttribute methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:11'!
getAttributeValue

	(attributeValue class == String) ifFalse: [^attributeValue printString].

	^attributeValue! !

!JASVGIAttribute methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:13'!
isStyleAttribute

	^svgTagElement styleAttributesNames includes: attributeName! !

!JASVGIAttribute methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:11'!
printOn: aStream

	super printOn: aStream.

	aStream nextPutAll: ('(', attributeName, ' > ', self getAttributeValue,')')! !

!JASVGIAttribute methodsFor: 'Accessing' stamp: 'BrunoBB 09/07/2016 07:11'!
svgTagElement
	^svgTagElement! !

!JASVGIAttribute methodsFor: 'Updating' stamp: 'BrunoBB 09/07/2016 07:11'!
svgTagElement: newValue
	svgTagElement := newValue! !

JASVGIObject subclass: #JASVGICanvas
	instanceVariableNames: 'xmlCanvas svgTag svgObjects svgMarkers'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JASVGI'!

JASVGICanvas subclass: #JASVGIBpmCanvas
	instanceVariableNames: 'namesAndTags'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JASVGI'!

!JASVGIBpmCanvas methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 10:21'!
defaultTaskFillColor

	^'lightsteelblue'! !

!JASVGIBpmCanvas methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 10:21'!
defaultTaskHeight

	^80! !

!JASVGIBpmCanvas methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 10:21'!
defaultTaskStroke

	^'darkblue'! !

!JASVGIBpmCanvas methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 10:21'!
defaultTaskWidth

	^120! !

!JASVGIBpmCanvas methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 13:20'!
drawActivityNamed: aString at: aPoint
	| rectId textPoint |

	rectId := self drawRoundRectangleAt: aPoint 
						height: self defaultTaskHeight 
						width: self defaultTaskWidth 
						fillColor: self defaultTaskFillColor 
						stroke: self defaultTaskStroke.

	textPoint := (aPoint x + (self defaultTaskWidth // 3)) @ (aPoint y + (self defaultTaskHeight // 2)).

	self drawText: aString at: textPoint.

	namesAndTags at: aString put: rectId! !

!JASVGIBpmCanvas methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 10:26'!
getJasvgiTagNamed: aString

	^self getJasvgiTagNamed: aString ifAbsent: [nil]! !

!JASVGIBpmCanvas methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 10:26'!
getJasvgiTagNamed: aString ifAbsent: aBlock

	^svgObjects 
			at: (namesAndTags at: aString ifAbsent: [^aBlock value]) 
			ifAbsent: aBlock! !

!JASVGIBpmCanvas methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 10:21'!
initialize

	super initialize.

	namesAndTags := Dictionary new.! !

!JASVGIBpmCanvas methodsFor: 'Accessing' stamp: 'BrunoBB 09/06/2016 10:21'!
namesAndTags
	^namesAndTags! !

!JASVGIBpmCanvas methodsFor: 'Updating' stamp: 'BrunoBB 09/06/2016 10:21'!
namesAndTags: newValue
	namesAndTags := newValue! !

!JASVGICanvas methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 08:10'!
addMarker: tagMarker

	^svgMarkers at: tagMarker id put: tagMarker! !

!JASVGICanvas methodsFor: 'draw' stamp: 'BrunoBB 09/07/2016 08:09'!
contents
	
	svgTag with: [
		self tag: 'defs' with: [svgMarkers do: [:each | each drawOn: self]].
		(svgObjects orderedKeys select: [:e | e notNil]) do:[:key | | svgFigureTag figureName |
			svgFigureTag := svgObjects at: key.
			figureName := (key subStrings: '.') first.
			svgFigureTag drawOn: self.
		].
	].

	^xmlCanvas contents! !

!JASVGICanvas methodsFor: 'draw' stamp: 'BrunoBB 09/06/2016 13:17'!
draw: aJASVGITagFigure

	^svgObjects at: aJASVGITagFigure getGlobalId put: aJASVGITagFigure! !

!JASVGICanvas methodsFor: 'figures' stamp: 'BrunoBB 09/07/2016 07:25'!
drawCircleAt: aPoint id: id r: radius fillColor: fillColor stroke: stroke strokeWidth: strokeWidth

	^self draw: (JASVGITagCircle 
						newAt: aPoint 
						id: id 
						r: radius
						fillColor: fillColor 
						stroke: stroke 
						strokeWidth: strokeWidth)! !

!JASVGICanvas methodsFor: 'figures' stamp: 'BrunoBB 09/07/2016 07:26'!
drawCircleAt: aPoint r: radius fillColor: fillColor stroke: stroke

	^self drawCircleAt: aPoint id: UUID new asString r: radius fillColor: fillColor stroke: stroke strokeWidth: 0! !

!JASVGICanvas methodsFor: 'figures' stamp: 'BrunoBB 09/07/2016 07:26'!
drawCircleAt: aPoint r: radius fillColor: fillColor stroke: stroke strokeWidth: strokeWidth

	^self drawCircleAt: aPoint id: UUID new asString r: radius fillColor: fillColor stroke: stroke strokeWidth: strokeWidth! !

!JASVGICanvas methodsFor: 'figures' stamp: 'BrunoBB 09/06/2016 11:11'!
drawRectangleAt: aPoint height: height width: width fillColor: fillColor stroke: stroke

	^self drawRectangleAt: aPoint id: UUID new asString height: height width: width fillColor: fillColor stroke: stroke! !

!JASVGICanvas methodsFor: 'figures' stamp: 'BrunoBB 09/07/2016 06:59'!
drawRectangleAt: aPoint id: id height: height width: width fillColor: fillColor stroke: stroke

	^self draw: (JASVGITagRectangle 
						newAt: aPoint 
						id: id height: height 
						width: width 
						fillColor: fillColor 
						stroke: stroke)! !

!JASVGICanvas methodsFor: 'figures' stamp: 'BrunoBB 09/06/2016 11:11'!
drawRoundRectangleAt: aPoint height: height width: width fillColor: fillColor stroke: stroke

	^self drawRoundRectangleAt: aPoint id: UUID new asString height: height width: width fillColor: fillColor stroke: stroke! !

!JASVGICanvas methodsFor: 'figures' stamp: 'BrunoBB 09/07/2016 07:00'!
drawRoundRectangleAt: aPoint id: id height: height width: width fillColor: fillColor stroke: stroke

	^self draw: (JASVGITagRectangle 
						newRoundAt: aPoint 
						id: id height: height 
						width: width 
						fillColor: fillColor 
						stroke: stroke)! !

!JASVGICanvas methodsFor: 'figures' stamp: 'BrunoBB 09/06/2016 11:11'!
drawText: aString at: aPoint 

	^self drawText: aString at: aPoint id: UUID new asString! !

!JASVGICanvas methodsFor: 'figures' stamp: 'BrunoBB 09/07/2016 07:04'!
drawText: aString at: aPoint id: id 

	^self draw: (JASVGITagText newText: aString at: aPoint id: id)! !

!JASVGICanvas methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 11:12'!
initialize
	| header |

	super initialize.

	xmlCanvas := XMLWriter new.
	svgObjects := OrderPreservingDictionary new.
	svgMarkers := OrderPreservingDictionary new.

	header := OrderedCollection new 
							add: ('xmlns' -> 'http://www.w3.org/2000/svg');
							add: ('xmlns:xlink' -> 'http://www.w3.org/1999/xlink');
							yourself.

	svgTag := xmlCanvas tag: 'svg' attributes: header.! !

!JASVGICanvas methodsFor: 'Accessing' stamp: 'BrunoBB 09/06/2016 11:12'!
svgMarkers
	^svgMarkers! !

!JASVGICanvas methodsFor: 'Updating' stamp: 'BrunoBB 09/06/2016 11:12'!
svgMarkers: newValue
	svgMarkers := newValue! !

!JASVGICanvas methodsFor: 'Accessing' stamp: 'BrunoBB 09/06/2016 11:11'!
svgObjects
	^svgObjects! !

!JASVGICanvas methodsFor: 'Updating' stamp: 'BrunoBB 09/06/2016 11:11'!
svgObjects: newValue
	svgObjects := newValue! !

!JASVGICanvas methodsFor: 'Accessing' stamp: 'BrunoBB 09/06/2016 11:11'!
svgTag
	^svgTag! !

!JASVGICanvas methodsFor: 'Updating' stamp: 'BrunoBB 09/06/2016 11:11'!
svgTag: newValue
	svgTag := newValue! !

!JASVGICanvas methodsFor: 'draw' stamp: 'BrunoBB 09/06/2016 14:02'!
tag: tagName attributes: aCollection

	^xmlCanvas tag: tagName attributes: aCollection! !

!JASVGICanvas methodsFor: 'draw' stamp: 'BrunoBB 09/07/2016 08:08'!
tag: tagName attributes: aCollection with: textOrBlock

	^xmlCanvas tag: tagName attributes: aCollection with: textOrBlock! !

!JASVGICanvas methodsFor: 'draw' stamp: 'BrunoBB 09/07/2016 08:08'!
tag: tagName with: textOrBlock

	^xmlCanvas tag: tagName with: textOrBlock! !

!JASVGICanvas methodsFor: 'Accessing' stamp: 'BrunoBB 09/06/2016 11:11'!
xmlCanvas
	^xmlCanvas! !

!JASVGICanvas methodsFor: 'Updating' stamp: 'BrunoBB 09/06/2016 11:11'!
xmlCanvas: newValue
	xmlCanvas := newValue! !

!JASVGIObject class methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 07:28'!
new

	^super new initialize! !

!JASVGIObject class methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 09:20'!
styleAttributesNames

	^#('fill' 'stroke' 'stroke-width')! !

JASVGIObject subclass: #JASVGITagElement
	instanceVariableNames: 'id attributes subTags'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JASVGI'!

!JASVGITagElement class methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 15:17'!
name: aString withAll: anOrderedCollection

	^super new initialize
		tagName: aString;
		setAttributes: anOrderedCollection;
		yourself! !

!JASVGITagElement class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 06:58'!
newId: id name: aString withAll: anOrderedCollection

	^super new initialize
		id: id;
		setAttributes: anOrderedCollection;
		yourself! !

!JASVGITagElement class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 06:58'!
newId: id withAll: anOrderedCollection

	^super new initialize
		id: id;
		setAttributes: anOrderedCollection;
		yourself! !

!JASVGITagElement class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:15'!
styleAttributesNames

	^#()! !

!JASVGITagElement class methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 15:17'!
withAll: anOrderedCollection

	^super new initialize
		setAttributes: anOrderedCollection;
		yourself! !

!JASVGITagElement methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 11:03'!
add: aJASVGIAttribute

	^attributes add: aJASVGIAttribute! !

!JASVGITagElement methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 11:03'!
addAll: aCollection

	^attributes addAll: aCollection! !

!JASVGITagElement methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 11:03'!
addSubTag: aJASVGITag

	^subTags at: aJASVGITag id put: aJASVGITag! !

!JASVGITagElement methodsFor: 'draw' stamp: 'BrunoBB 09/06/2016 11:08'!
asSvgAttributes
	| svgAttributes styles |

	svgAttributes := OrderedCollection new.
	styles := PrintStream on: String new.

	attributes do: [:each | 
		each isStyleAttribute
		ifTrue: [styles nextPutAll: (each attributeName, ': ', each attributeValue,';')] 
		ifFalse: [svgAttributes add: each asSvgAttribute]].

	svgAttributes 
		add: ('id' -> id);
		add: ('style' -> styles contents).

	^svgAttributes! !

!JASVGITagElement methodsFor: 'Accessing' stamp: 'BrunoBB 09/06/2016 11:03'!
attributes
	^attributes! !

!JASVGITagElement methodsFor: 'Updating' stamp: 'BrunoBB 09/06/2016 11:03'!
attributes: newValue
	attributes := newValue! !

!JASVGITagElement methodsFor: 'draw' stamp: 'BrunoBB 09/06/2016 15:30'!
drawOn: aJASVGICanvas

	aJASVGICanvas tag: self svgTag attributes: self asSvgAttributes! !

!JASVGITagElement methodsFor: 'draw' stamp: 'BrunoBB 09/06/2016 15:30'!
getGlobalId

	^self svgTag , '.', self id! !

!JASVGITagElement methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 11:03'!
hasSubTags

	^subTags notEmpty! !

!JASVGITagElement methodsFor: 'Accessing' stamp: 'BrunoBB 09/06/2016 11:07'!
id
	^id! !

!JASVGITagElement methodsFor: 'Updating' stamp: 'BrunoBB 09/06/2016 11:07'!
id: newValue
	id := newValue! !

!JASVGITagElement methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 15:15'!
initialize

	super initialize.

	attributes := Dictionary new.
	subTags := Dictionary new.! !

!JASVGITagElement methodsFor: 'Updating' stamp: 'BrunoBB 09/06/2016 15:16'!
setAttributes: aCollection

	aCollection do: [:each | attributes at: each attributeName put: each]! !

!JASVGITagElement methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:14'!
styleAttributesNames

	^self class styleAttributesNames! !

!JASVGITagElement methodsFor: 'Accessing' stamp: 'BrunoBB 09/06/2016 11:03'!
subTags
	^subTags! !

!JASVGITagElement methodsFor: 'Updating' stamp: 'BrunoBB 09/06/2016 11:03'!
subTags: newValue
	subTags := newValue! !

!JASVGITagElement methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 15:30'!
svgTag

	^self subclassResponsibility! !

JASVGITagElement subclass: #JASVGITagFigure
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JASVGI'!

JASVGITagFigure subclass: #JASVGITagCircle
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JASVGI'!

!JASVGITagCircle class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:30'!
newAsConnectorAt: aPoint 

	^self newAt: aPoint 
			id: UUID new asString
			r: 5 
			fillColor: 'black' 
			stroke: 'black' 
			strokeWidth: 0! !

!JASVGITagCircle class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:23'!
newAt: aPoint id: id r: radius fillColor: fillColor stroke: stroke strokeWidth: strokeWidth
	| attributes |

	attributes := OrderedCollection new 
		add: (JASVGIAttribute parent: self name: 'fill' value: fillColor);
		add: (JASVGIAttribute parent: self name: 'cx' value: aPoint x);
		add: (JASVGIAttribute parent: self name: 'cy' value: aPoint y);
		add: (JASVGIAttribute parent: self name: 'r' value: radius);
		add: (JASVGIAttribute parent: self name: 'stroke' value: stroke);
		add: (JASVGIAttribute parent: self name: 'strokeWidth' value: strokeWidth);
		yourself.

	^self newId: id withAll: attributes! !

!JASVGITagCircle methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 15:26'!
svgTag

	^'circle'! !

JASVGITagFigure subclass: #JASVGITagRectangle
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JASVGI'!

!JASVGITagRectangle class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:12'!
newAt: aPoint id: id height: height width: width fillColor: fillColor stroke: stroke
	| attributes |

	attributes := OrderedCollection new 
		add: (JASVGIAttribute parent: self name: 'x' value: aPoint x);
		add: (JASVGIAttribute parent: self name: 'y' value: aPoint y);
		add: (JASVGIAttribute parent: self name: 'fill' value: fillColor);
		add: (JASVGIAttribute parent: self name: 'height' value: height);
		add: (JASVGIAttribute parent: self name: 'width' value: width);
		add: (JASVGIAttribute parent: self name: 'stroke' value: stroke);
		yourself.

	^self newId: id withAll: attributes! !

!JASVGITagRectangle class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:12'!
newRoundAt: aPoint id: id height: height width: width fillColor: fillColor stroke: stroke
	| attributes |

	attributes := OrderedCollection new 
		add: (JASVGIAttribute parent: self name: 'x' value: aPoint x);
		add: (JASVGIAttribute parent: self name: 'y' value: aPoint y);
		add: (JASVGIAttribute parent: self name: 'rx' value: 10);
		add: (JASVGIAttribute parent: self name: 'ry' value: 10);
		add: (JASVGIAttribute parent: self name: 'fill' value: fillColor);
		add: (JASVGIAttribute parent: self name: 'height' value: height);
		add: (JASVGIAttribute parent: self name: 'width' value: width);
		add: (JASVGIAttribute parent: self name: 'stroke' value: stroke);
		yourself.

	^self newId: id withAll: attributes! !

!JASVGITagRectangle class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:14'!
styleAttributesNames

	^#('fill' 'stroke' 'stroke-width')! !

!JASVGITagRectangle methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 15:26'!
svgTag

	^'rect'! !

JASVGITagElement subclass: #JASVGITagMarker
	instanceVariableNames: 'figure'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JASVGI'!

!JASVGITagMarker class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 08:11'!
newCircleAt: aPoint width: width height: height
	| attributes |

	attributes := OrderedCollection new 
		add: (JASVGIAttribute parent: self name: 'markerWidth' value: width);
		add: (JASVGIAttribute parent: self name: 'markerHeight' value: height);
		add: (JASVGIAttribute parent: self name: 'refX' value: aPoint x);
		add: (JASVGIAttribute parent: self name: 'refY' value: aPoint y);
		yourself.

	^super new initialize
		id: UUID new asString;
		setAttributes: attributes;
		setBlackCircle;
		yourself! !

!JASVGITagMarker methodsFor: 'draw' stamp: 'BrunoBB 09/07/2016 08:13'!
drawOn: aJASVGICanvas

	aJASVGICanvas 
		tag: self svgTag 
		attributes: self asSvgAttributes 
		with: [aJASVGICanvas tag: figure svgTag attributes: figure asSvgAttributes]! !

!JASVGITagMarker methodsFor: 'Accessing' stamp: 'BrunoBB 09/06/2016 15:39'!
figure
	^figure! !

!JASVGITagMarker methodsFor: 'Updating' stamp: 'BrunoBB 09/06/2016 15:39'!
figure: newValue
	figure := newValue! !

!JASVGITagMarker methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:32'!
setBlackCircle

	figure := JASVGITagCircle newAsConnectorAt: 5@5! !

!JASVGITagMarker methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 15:27'!
svgTag

	^'marker'! !

JASVGITagElement subclass: #JASVGITagPath
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JASVGI'!

!JASVGITagPath methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 15:27'!
svgTag

	^'path'! !

JASVGITagElement subclass: #JASVGITagText
	instanceVariableNames: 'text'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JASVGI'!

!JASVGITagText class methodsFor: 'other' stamp: 'BrunoBB 09/07/2016 07:12'!
newText: aString at: aPoint id: id 
	| attributes |

	attributes := OrderedCollection new 
		add: (JASVGIAttribute parent: self name: 'x' value: aPoint x);
		add: (JASVGIAttribute parent: self name: 'y' value: aPoint y);
		yourself.

	^(JASVGITagText newId: id withAll: attributes) text: aString! !

!JASVGITagText methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 15:29'!
drawOn: aJASVGICanvas

	aJASVGICanvas tag: self svgTag attributes: self asSvgAttributes with: text! !

!JASVGITagText methodsFor: 'other' stamp: 'BrunoBB 09/06/2016 15:32'!
svgTag

	^'text'! !

!JASVGITagText methodsFor: 'Accessing' stamp: 'BrunoBB 09/06/2016 13:53'!
text
	^text! !

!JASVGITagText methodsFor: 'Updating' stamp: 'BrunoBB 09/06/2016 13:53'!
text: newValue
	text := newValue! !
